%define		shortname cr
%define		fullname coolreader

Summary:	Free e-book reader
Name:		coolreader3
Version:	3.2.29
Release:	%mkrel 4
License:	GPLv2+
Group:		Office/Utilities
# https://sourceforge.net/projects/crengine/
Url:		https://github.com/buggins/coolreader
Source0:	https://github.com/buggins/coolreader/archive/cr%{version}/%{fullname}-%{shortname}%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
# Builds with modified source
Provides:		bundled(chmlib)
Provides:		bundled(antiword)

%description
CoolReader is fast and small cross-platform XML/CSS based E-Book reader
for desktops and handheld devices. Supported formats: FB2, TXT, RTF, DOC,
TCR, HTML, EPUB, CHM, PDB, MOBI. Platforms: Win32, Linux, Android. Ported
on some eInk based devices.

%prep
%setup -q -n %{fullname}-%{shortname}%{version}
%autopatch -p1

%build
%cmake \
	-DGUI=QT5 \
	-DMAX_IMAGE_SCALE_MUL=2 \
	-DDOC_DATA_COMPRESSION_LEVEL=3 \
	-DDOC_BUFFER_SIZE=0x1400000 \
	-DCMAKE_BUILD_TYPE=Release \
	-DUSE_FREETYPE2:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{shortname}3
%{_datadir}/%{shortname}3/*.css
%{_datadir}/%{shortname}3/i18n/*.qm
%{_datadir}/%{shortname}3/hyph/*.pdb
%{_datadir}/%{shortname}3/hyph/*.pattern
%{_datadir}/%{shortname}3/textures/*.jpg
%{_datadir}/%{shortname}3/backgrounds/*.jpg
%{_datadir}/pixmaps/%{shortname}3.*
%{_datadir}/applications/%{shortname}3.desktop
%{_datadir}/doc/%{shortname}3/*
%{_mandir}/man1/%{shortname}3.*


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 3.2.29-4.mga8
+ Revision: 1658274
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.2.29-3.mga8
+ Revision: 1524429
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 3.2.29-2.mga7
+ Revision: 1381475
- Qt5 Rebuild

* Thu Feb 21 2019 daviddavid <daviddavid> 3.2.29-1.mga7
+ Revision: 1369074
- new version: 3.2.29
- remove merged upstream patches

* Fri Jan 25 2019 alexl <alexl> 3.2.27-1.mga7
+ Revision: 1360555
- version 3.2.27
- del upstreamed patches and rediff chmlib* patches
- update url
- switch on QT5

* Sun Sep 23 2018 umeabot <umeabot> 3.0.56-11.mga7
+ Revision: 1296796
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 3.0.56-10.mga7
+ Revision: 1238008
- add patches to fix build on aarch64 with bundled chmlib

* Sat Mar 24 2018 kekepower <kekepower> 3.0.56-9.mga7
+ Revision: 1211906
- Use new make macro

* Thu Sep 28 2017 cjw <cjw> 3.0.56-8.mga7
+ Revision: 1160785
- patch3: fix build with gcc 7

* Sat Feb 20 2016 umeabot <umeabot> 3.0.56-7.mga6
+ Revision: 972456
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 3.0.56-6.mga6
+ Revision: 897967
- fix build with freetype 2.6+

* Mon Jun 29 2015 alexl <alexl> 3.0.56-5.mga6
+ Revision: 848240
- fix save settings bug

* Tue Jan 06 2015 alexl <alexl> 3.0.56-4.mga5
+ Revision: 808771
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.0.56-3.mga5
+ Revision: 740008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.56-2.mga5
+ Revision: 678538
- Mageia 5 Mass Rebuild

* Tue May 27 2014 alexl <alexl> 3.0.56-1.mga5
+ Revision: 627018
- add freetype2.patch
- imported package coolreader3

